* {
	margin: 0;
	padding: 0;
}

:root {
	color-scheme: light dark;
}

body {
	width: max-content;
	max-width: calc(100% - 2 * 1rem);
	margin: 2.5rem auto;

	font-family: ui-sans-serif, system-ui, sans-serif;
}

input {
	padding: 0.75rem 1.25rem;
	background: transparent;
	border: 0.0625rem solid #999;
	color: inherit;
	font: inherit;

	&:focus {
		outline: none;
		border-color: currentColor;
	}
}

h1 {
	margin: 0 0 1.5rem;
	font-size: 2em;
}

fieldset {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.75rem;

	margin: 0 0 1.5rem;

	border: none;
}

legend {
	margin-bottom: 0.5rem;
}

output {
	display: block;
	margin-top: 2.5rem;
	padding-top: 1.5rem;
	border-top: 0.0625rem solid currentColor;
	font-size: 1.5rem;
}

footer {
	margin-top: 4rem;
}

/*! https://kittygiraudel.com/snippets/sr-only-class/ */
.sr-only,
label {
	position: absolute !important;

	height: 1px !important;
	width: 1px !important;
	margin: -1px !important;
	padding: 0 !important;

	border: 0 !important;
	clip-path: inset(50%) !important;
	clip: rect(1px, 1px, 1px, 1px) !important;
	overflow: hidden !important;
	white-space: nowrap !important;
}
